Distribution:	ccux
Packager:       Karsten Brockmann <arcam@ccux-linux.de>
Name: 		cpufrequtils
Version:	005
Release:	1
License:	GNU/GPL
URL:		http://www.kernel.org/pub/linux/utils/kernel/cpufreq/cpufrequtils.html
Group: 		System/Configuration/Hardware
Source0:	%{name}-%{version}.tar.bz2
Patch0:	 	cpufrequtils-mandir.patch	
Summary: 	cpufreq subsystem management tools
Provides: 	cpufrequtils
BuildRoot:	%{_builddir}/%{name}-%{version}-root
BuildRequires:	sysfsutils-devel
BuildRequires:  glibc-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
cpufrequtils consists of a library (libcpufreq) which offers an unified access method for userspace tools and programs to the CPU frequency and voltage scaling (cpufreq) subsystem in the Linux kernel, the "cpufreq-info" and "cpufreq-set" tools to determine and set cpufreq settings, and debug tools helpful if frequency scaling doesn't work as expected.

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.


%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%_bindir
%_mandir
%_datadir/locale
%_libdir/*.so.*

%files devel
%defattr(-, root, root)
%_includedir
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Aug 12 2008 Karsten Brockmann <arcam@ccux-linux.de> 005-1
- Version update
* Mon May 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 003-1
- Version update
* Thu Jun 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 002-1
- Version update
* Mon May 29 2006 Karsten Brockmann <arcam@ccux-linux.de> 001-1
- initial release
